%define module_version 1.7
%define module_name Catalyst-View-CSV
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Catalyst.pm) perl(Catalyst/Action/RenderView.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Model/DBIC/Schema.pm) perl(Catalyst/Plugin/ConfigLoader.pm) perl(Catalyst/Test.pm) perl(Catalyst/View.pm) perl(CatalystX/Component/Traits.pm) perl(Config.pm) perl(Config/General.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Text/CSV.pm) perl(URI.pm) perl(YAML/Tiny.pm)
BuildRequires: perl(base.pm) perl(inc/Module/Install.pm) perl(mro.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.7
Release: alt1
Summary: CSV view class
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MC/MCB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Catalyst::View::CSV manpage provides a the Catalyst manpage view that generates CSV
files.

You can use either a Perl array of arrays, an array of hashes, an
array of objects, or a database cursor as the source of the CSV data.
For example:

    my $data = [
      [ "Dead Poets Society", "1989" ],
      [ "Stage Beauty", "2004" ],
      ...
    ];
    $c->stash ( data => $data );

or

    my $resultset = $c->model ( "FilmDB::Film" )->search ( ... );
    $c->stash ( cursor => $resultset->cursor );

The CSV file is generated using the Text::CSV manpage.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_privlib/C*

%changelog
* Tue Nov 03 2015 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1
- regenerated from template by package builder

* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1
- initial import by package builder

